View Issue Details

IDProjectCategoryView StatusLast Update
0033078FPCRTLpublic2018-06-17 19:30
Reporterrd0xAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version3.0.2Product Build 
Target Version3.2.0Fixed in Version3.1.1 
Summary0033078: Missing MatchText function from Delphi
DescriptionThere is a MatchStr function which is equivalent to Delphi's MatchStr.

But the case insenstive MatchText function from Delphi is missing in FPC.

Error: Identifier not found "MatchText"
Steps To ReproduceProgram MatchText_missing;

{$MODE DelphiUnicode}

uses StrUtils;

var
Input: string = 'test2';
ArrayOfString: array[0..2] of String = ('Test1', 'test2', 'test3');

begin
    // this one is already there
    if MatchStr(Input, ArrayOfString) then
        writeln('Hello World!');

    // this one is missing
    if MatchText(Input, ArrayOfString) then
        writeln('Hello World!');
end.
TagsFeature, Request
Fixed in Revision38063
FPCOldBugId
FPCTarget
Attached Files

Activities

Marco van de Voort

2018-01-26 16:53

manager   ~0106052

Note the corresponding ansi* function is there.

Michael Van Canneyt

2018-01-28 10:32

administrator   ~0106086

Added. Thanks for reporting!

Issue History

Date Modified Username Field Change
2018-01-26 16:27 rd0x New Issue
2018-01-26 16:29 rd0x Tag Attached: Feature
2018-01-26 16:29 rd0x Tag Attached: Request
2018-01-26 16:53 Marco van de Voort Note Added: 0106052
2018-01-28 10:32 Michael Van Canneyt Fixed in Revision => 38063
2018-01-28 10:32 Michael Van Canneyt Note Added: 0106086
2018-01-28 10:32 Michael Van Canneyt Status new => resolved
2018-01-28 10:32 Michael Van Canneyt Fixed in Version => 3.1.1
2018-01-28 10:32 Michael Van Canneyt Resolution open => fixed
2018-01-28 10:32 Michael Van Canneyt Assigned To => Michael Van Canneyt
2018-01-28 10:32 Michael Van Canneyt Target Version => 3.2.0
2018-06-17 19:29 rd0x Status resolved => closed